Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetSurfaceFilter Class Reference

`#include <vtkDataSetSurfaceFilter.h>`

Inheritance diagram for vtkDataSetSurfaceFilter:

[legend]
Collaboration diagram for vtkDataSetSurfaceFilter:

[legend]
List of all members.

## Detailed Description

Extracts outer (polygonal) surface.

Date:
  2002/11/03 22:51:55

Revision:
  1.11

vtkDataSetSurfaceFilter is a faster version of vtkGeometry filter, but it does not have an option to select bounds. It may use more memory than vtkGeometryFilter. It only has one option: whether to use triangle strips when the input type is structured.

See also:
  vtkGeometryFilter vtkStructuredGridGeometryFilter.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (72%)
  - Hoffman, Bill (9%)
  - Schroeder, Will (8%)
  - Henderson, Amy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkDataSetSurfaceFilter.cxx)`
  - .`h` (`/Graphics/vtkDataSetSurfaceFilter.h)`

Tests:
  vtkDataSetSurfaceFilter (Tests)

Definition at line 56 of file vtkDataSetSurfaceFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetUseStrips (int)
virtual int | GetUseStrips ()
virtual void | UseStripsOn ()
virtual void | UseStripsOff ()
## Static Public Methods
vtkDataSetSurfaceFilter * | New ()
int | IsTypeOf (const char *type)
vtkDataSetSurfaceFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetSurfaceFilter ()
| ~vtkDataSetSurfaceFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | Execute ()
void | StructuredExecute (vtkDataSet *input, int *ext)
void | UnstructuredGridExecute ()
void | DataSetExecute ()
void | ExecuteInformation ()
void | ExecuteFaceStrips (vtkDataSet *input, int maxFlag, int *ext, int aAxis, int bAxis, int cAxis)
void | ExecuteFaceQuads (vtkDataSet *input, int maxFlag, int *ext, int aAxis, int bAxis, int cAxis)
void | InitializeQuadHash (vtkIdType numPoints)
void | DeleteQuadHash ()
void | InsertQuadInHash (vtkIdType a, vtkIdType b, vtkIdType c, vtkIdType d, vtkIdType sourceId)
void | InsertTriInHash (vtkIdType a, vtkIdType b, vtkIdType c, vtkIdType sourceId)
void | InitQuadHashTraversal ()
vtkFastGeomQuad * | GetNextVisibleQuadFromHash ()
vtkIdType | GetOutputPointId (vtkIdType inPtId, vtkDataSet *input, vtkPoints *outPts, vtkPointData *outPD)
## Protected Attributes
int | UseStrips
vtkFastGeomQuad ** | QuadHash
vtkIdType | QuadHashLength
vtkFastGeomQuad * | QuadHashTraversal
vtkIdType | QuadHashTraversalIndex
vtkIdType * | PointMap
vtkIdType | NumberOfNewCells

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkDataSetSurfaceFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter. Definition at line 60 of file vtkDataSetSurfaceFilter.h.

## Constructor & Destructor Documentation

vtkDataSetSurfaceFilter::vtkDataSetSurfaceFilter | ( |  | ) | `[protected]`

vtkDataSetSurfaceFilter::~vtkDataSetSurfaceFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataSetSurfaceFilter* vtkDataSetSurfaceFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkPVGeometryFilter.

virtual const char* vtkDataSetSurfaceFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter.

int vtkDataSetSurfaceFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter.

virtual int vtkDataSetSurfaceFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter.

vtkDataSetSurfaceFilter* vtkDataSetSurfaceFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter.

void vtkDataSetSurfaceFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter. Reimplemented in vtkPVGeometryFilter.

virtual void vtkDataSetSurfaceFilter::SetUseStrips | ( | int |  | ) | `[virtual]`

| When input is structured data, this flag will generate faces with triangle strips. This should render faster and use less memory, but no cell data is copied. By default, UseStrips is Off.

virtual int vtkDataSetSurfaceFilter::GetUseStrips | ( |  | ) | `[virtual]`

| When input is structured data, this flag will generate faces with triangle strips. This should render faster and use less memory, but no cell data is copied. By default, UseStrips is Off.

virtual void vtkDataSetSurfaceFilter::UseStripsOn | ( |  | ) | `[virtual]`

| When input is structured data, this flag will generate faces with triangle strips. This should render faster and use less memory, but no cell data is copied. By default, UseStrips is Off.

virtual void vtkDataSetSurfaceFilter::UseStripsOff | ( |  | ) | `[virtual]`

| When input is structured data, this flag will generate faces with triangle strips. This should render faster and use less memory, but no cell data is copied. By default, UseStrips is Off.

void vtkDataSetSurfaceFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| Do not let images return more than requested. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkDataSetSurfaceFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkPVGeometryFilter.

void vtkDataSetSurfaceFilter::StructuredExecute | ( | vtkDataSet * | input,
|  | int * | ext
| ) | `[protected]`

void vtkDataSetSurfaceFilter::UnstructuredGridExecute | ( |  | ) | `[protected]`

void vtkDataSetSurfaceFilter::DataSetExecute | ( |  | ) | `[protected]`

void vtkDataSetSurfaceFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkDataSetSurfaceFilter::ExecuteFaceStrips | ( | vtkDataSet * | input,
|  | int | maxFlag,
|  | int * | ext,
|  | int | aAxis,
|  | int | bAxis,
|  | int | cAxis
| ) | `[protected]`

void vtkDataSetSurfaceFilter::ExecuteFaceQuads | ( | vtkDataSet * | input,
|  | int | maxFlag,
|  | int * | ext,
|  | int | aAxis,
|  | int | bAxis,
|  | int | cAxis
| ) | `[protected]`

void vtkDataSetSurfaceFilter::InitializeQuadHash | ( | vtkIdType | numPoints | ) | `[protected]`

void vtkDataSetSurfaceFilter::DeleteQuadHash | ( |  | ) | `[protected]`

void vtkDataSetSurfaceFilter::InsertQuadInHash | ( | vtkIdType | a,
|  | vtkIdType | b,
|  | vtkIdType | c,
|  | vtkIdType | d,
|  | vtkIdType | sourceId
| ) | `[protected]`

void vtkDataSetSurfaceFilter::InsertTriInHash | ( | vtkIdType | a,
|  | vtkIdType | b,
|  | vtkIdType | c,
|  | vtkIdType | sourceId
| ) | `[protected]`

void vtkDataSetSurfaceFilter::InitQuadHashTraversal | ( |  | ) | `[protected]`

vtkFastGeomQuad* vtkDataSetSurfaceFilter::GetNextVisibleQuadFromHash | ( |  | ) | `[protected]`

vtkIdType vtkDataSetSurfaceFilter::GetOutputPointId | ( | vtkIdType | inPtId,
|  | vtkDataSet * | input,
|  | vtkPoints * | outPts,
|  | vtkPointData * | outPD
| ) | `[protected]`

## Member Data Documentation

int vtkDataSetSurfaceFilter::UseStrips`[protected]`

| Definition at line 76 of file vtkDataSetSurfaceFilter.h.

vtkFastGeomQuad** vtkDataSetSurfaceFilter::QuadHash`[protected]`

| Definition at line 101 of file vtkDataSetSurfaceFilter.h.

vtkIdType vtkDataSetSurfaceFilter::QuadHashLength`[protected]`

| Definition at line 102 of file vtkDataSetSurfaceFilter.h.

vtkFastGeomQuad* vtkDataSetSurfaceFilter::QuadHashTraversal`[protected]`

| Definition at line 103 of file vtkDataSetSurfaceFilter.h.

vtkIdType vtkDataSetSurfaceFilter::QuadHashTraversalIndex`[protected]`

| Definition at line 104 of file vtkDataSetSurfaceFilter.h.

vtkIdType* vtkDataSetSurfaceFilter::PointMap`[protected]`

| Definition at line 106 of file vtkDataSetSurfaceFilter.h.

vtkIdType vtkDataSetSurfaceFilter::NumberOfNewCells`[protected]`

| Definition at line 110 of file vtkDataSetSurfaceFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDataSetSurfaceFilter.h